<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    $redirectJSArray = 'window.argusDiscordCustomRedirects = [';
    foreach (json_decode(get_option('argusDiscordCustomRedirects')) as $id => $redirect) {
        $redirectJSArray .= "{value:'argus-auth-discord-go-$id-page',label:'{$redirect->name}'},";
    }
    $redirectJSArray .= '];';
    wp_register_script('argus-discord-authorization-gutenberg-block-dummy-handle', '');
    wp_enqueue_script('argus-discord-authorization-gutenberg-block-dummy-handle');
    wp_add_inline_script('argus-discord-authorization-gutenberg-block-dummy-handle', $redirectJSArray);

    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('authorization');

    register_block_type('argus-wordpress-plugin/argus-discord-authorization-gutenberg-block', [
        'editor_script'   => 'argus-discord-authorization-gutenberg-block',
        'render_callback' => function($instance) {
            if (is_user_logged_in()) {
                $text = $instance['logoutText'] ?? __("Logout", 'argus-wordpress-plugin');
            } else {
                $text = $instance['loginText'] ?? __("Login with Discord", 'argus-wordpress-plugin');
            }
            $instance['className']  = $instance['className'] ?? '';
            $instance['redirectTo'] = $instance['redirectTo'] ?? 'argus-auth-discord-go-last-page';

            if (strpos($instance['className'], 'is-style-no') === false) {
                wp_enqueue_style('argus-discord-front-end-styles');
                $instance['className'] .= ' argus-discord__button--default-style';
            }

            if (is_user_logged_in()) {
                $link = wp_logout_url($_SERVER['REQUEST_URI']);
            } else {
                $link = Data::getAuthorizationLink($instance['redirectTo']);
            }

            return '<a class="' . $instance['className'] . '" href="' . $link . '">' . $text . '</a>';
        },
    ]);
});
