<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_shortcode('argus-discord-connect-profile-button', function($attributes, $content) {

    if (!$attributes || !is_array($attributes)) $attributes = [];

    $userID = get_current_user_id();
    if (!$userID) return '';

    $discordID = get_user_meta($userID, 'dwpp-discord-id', true);

    if (!$content) {
        if ($discordID) {
            $content = __("Disconnect Discord Profile", 'argus-wordpress-plugin');
        } else {
            $content = __("Connect Discord Profile", 'argus-wordpress-plugin');
        }
    }

    if ($discordID) {
        $link = '/?state=argus-disconnect-discord-profile&rand=' . time();
    } else {
        $link = Data::getAuthorizationLink('argus-connect-discord-profile-to-user');
    }

    if (isset($attributes['style'])) {
        wp_enqueue_style('argus-discord-front-end-styles');
        $class = 'argus-discord__button--' . $attributes['style'] . '-style';
    } else {
        $class = 'argus-discord__button--no-style';
    }

    return '<a class="' . $class . '" href="' . $link . '">' . $content . '</a>';
});
