<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('sharing');

    register_block_type('argus-wordpress-plugin/argus-discord-sharing-gutenberg-block', [
        'editor_script'   => 'argus-discord-sharing-gutenberg-block',
        'render_callback' => function($instance) {
            $text                  = $instance['text'] ?? __("Share on Discord", 'argus-wordpress-plugin');
            $instance['className'] = $instance['className'] ?? '';

            if (strpos($instance['className'], 'is-style-no') === false) {
                wp_enqueue_style('argus-discord-front-end-styles');
                $instance['className'] .= ' argus-discord__button--default-style';
            }

            $link = Data::getShareLink();

            return '<a class="' . $instance['className'] . '" href="' . $link . '">' . $text . '</a>';
        },
    ]);
});
