<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('synchronization');

    register_block_type('argus-wordpress-plugin/argus-discord-synchronization-gutenberg-block', [
        'editor_script'   => 'argus-discord-synchronization-gutenberg-block',
        'render_callback' => function($instance) {
            $wpUserID = get_current_user_id();
            if (!$wpUserID || !get_user_meta($wpUserID, 'dwpp-discord-id', true)) {
                return '';
            }

            $instance['text']      = $instance['text'] ?? __("Synchronize Data", 'argus-wordpress-plugin');
            $instance['className'] = $instance['className'] ?? '';

            if (strpos($instance['className'], 'is-style-no') === false) {
                wp_enqueue_style('argus-discord-front-end-styles');
                $instance['className'] .= ' argus-discord__button--default-style';
            }

            return '<a class="argus__synchronization ' . $instance['className'] . '" href="/?action=argus-synchronize-user&rand=' . time() . '">' . $instance['text'] . '</a>';
        },
    ]);
});
